4D 2004

Maintaining value in your investment

warning: file_get_contents( [function.file-get-contents]: failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /var/www/ : eval()'d code on line 4.
As a company policy, 4D sells and supports not only its current version, 4D v11 SQL, but the previous version of the product line as well. If you’re still using 4D 2004, you get the support you expect, and the migration guidance you'll want when the time comes.


4D 2004 has entered the Sunset phase of the product lifecycle. While 4D 2004 products are still available for purchase for compatibility purposes, we highly encourage you to begin new development projects with 4D v11 SQL


There are numerous reasons to upgrade to 4D v11 SQL. See some of the best ones here.



Learn more about developing with 4D


Purchase 4D 2004 products


If you have not yet migrated your solutions to 4D v11 SQL, you can continue using 4D 2004, but it will not be available for much longer. (See product lifecycle.)


To ensure compatibility for yourself and your users, please consider the 4D Maintenance Program to aid in your future upgrades and migration.


Learn more about deploying your apps


Purchase 4D 2004 products



Deployment Packages


Deployment Expansions